[rkward] macports: move files instead of coying
m.eik michalke
meik.michalke at uni-duesseldorf.de
Tue Jan 5 11:34:55 UTC 2016
Git commit 1d8379ff13099e60baf218cd812c049862bcdd12 by m.eik michalke.
Committed on 05/01/2016 at 11:34.
Pushed by meikm into branch 'master'.
move files instead of coying
- don't waste disk space and time
M +8 -5 macports/update_bundle.sh
http://commits.kde.org/rkward/1d8379ff13099e60baf218cd812c049862bcdd12
diff --git a/macports/update_bundle.sh b/macports/update_bundle.sh
index 873d04b..b7e05f1 100755
--- a/macports/update_bundle.sh
+++ b/macports/update_bundle.sh
@@ -8,6 +8,7 @@ MPTINST=/opt/rkward
# specify the target port
PTARGET=rkward-devel
PNSUFFX="-devel"
+RKUSER="${USER}"
USERBIN="${HOME}/bin"
OSXVERSION=$(sw_vers -productVersion | sed -e "s/.[[:digit:]]*$//")
@@ -108,7 +109,7 @@ if [[ $1 == "" ]] ; then
-r update port ${PTARGET}
-m create .mpkg of ${PTARGET}
-s create sources .tar
- -c copy .mpkg and src.tar to ${LPUBDIR}, if created"
+ -c move .mpkg and src.tar to ${LPUBDIR}, if created"
exit 0
fi
@@ -510,8 +511,9 @@ if $MAKEMDMD ; then
echo "creating directory: ${LPUBDIR}"
mkdir -p "${LPUBDIR}" || exit 1
fi
- echo "copying: $MPKGFILE to $TRGTFILE ..."
- cp -av "${MPKGFILE}" "${TRGTFILE}" || exit 1
+ echo "moving: $MPKGFILE to $TRGTFILE ..."
+ sudo mv "${MPKGFILE}" "${TRGTFILE}" || exit 1
+ sudo chown ${RKUSER} "${TRGTFILE}" || exit 1
echo "done."
fi
fi
@@ -538,8 +540,9 @@ if $MKSRCTAR ; then
echo "creating directory: ${LPUBDIR}"
mkdir -p "${LPUBDIR}" || exit 1
fi
- echo "copying: $SRCFILE to $TRGSFILE ..."
- cp -av "${SRCFILE}" "${TRGSFILE}" || exit 1
+ echo "moving: $SRCFILE to $TRGSFILE ..."
+ sudo mv "${SRCFILE}" "${TRGSFILE}" || exit 1
+ sudo chown ${RKUSER} "${TRGSFILE}" || exit 1
echo "done."
fi
fi
More information about the rkward-tracker
mailing list